Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79705 - mp3 preview broken/disabled
Summary: mp3 preview broken/disabled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: GnomeUpstream
TreeView+ depends on / blocked
 
Reported: 2002-12-15 22:29 UTC by Michael Wardle
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 02:16:16 UTC


Attachments (Terms of Use)

Description Michael Wardle 2002-12-15 22:29:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
When I mouse over an Ogg Vorbis (.ogg) audio file in Nautilus, a
preview of the song is played until I mouse off the file's icon.
Despite having installed third-party MP3 audio file players including
mad, no preview occurs when mousing over an MP3 (.mp3) audio file in
Nautilus.

Attempting to rectify this, I right-clicked the file's icon, selected
Open With->Other Viewer..., then selected "Associate Application",
however the viewer drop-down list was grayed out, whereas the
equivalent Ogg menu is active.

I understand MP3 support has been removed from a standard Red Hat 8
installation, but I feel MP3 playback should still be fully functional
if the user/administrator has installed the relevant MP3 software such
as mad/mpg321/mpg123.

I have single-click activation mode enabled.  I imagine a preview
occurs under double-click activation mode by single-clicking to
select the file's icon.

It is possible this functionality was disabled as an (IMHO)
overzealous fix for (or related to) bug 69921.

I am not aware of any workaround.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install third-party MP3 playback tools such as mad
2. open a directory containing MP3 audio files in Nautilus
3. perform the usual action to initiate a file preview
    

Actual Results:  Nothing.

Expected Results:  The song begins playing.

Additional info:

Comment 1 Michael Wardle 2002-12-15 23:27:44 UTC
A more likely reason for this behavior is that no known MP3 player is installed,
as /usr/share/mime-info/gnome-vfs.* does not have mpg123, mpg321, or mad listed
as a supported handler application.

I tried adding an entry for mad in what seemed the relevant section, however I
was then unable to start a GNOME session.  I will try again.

Sorry if my previous comments were incorrect.


Comment 2 Havoc Pennington 2002-12-16 01:30:56 UTC
We can't leave the mp3 support that forks mpeg123. i.e. we can't leave 
a reference to mpg123 or anything like that. libmad doesn't support 
"plugins" in any sense.

If upstream GNOME implements some sort of generic plugin system where you can add
mp3 support without us having any explicit reference to anything remotely
mp3-related, and the plugin system is also useful for non-mp3 stuff, then we
could include that plugin system.

Comment 3 Havoc Pennington 2002-12-16 18:20:51 UTC
Changing to MoveUpstream keyword instead of GnomeUpstream tracking bug.
sorry about the spam.

Comment 4 Michael Wardle 2003-02-18 02:16:16 UTC
The behavior being experienced is deliberate, so this is ->NOTABUG.



Note You need to log in before you can comment on or make changes to this bug.